## vzpkg2-1.0.0.tar.gz

=== Makefile ===
NAME    = vzpkg2
VERSION = 1.0.0

ETCDIR = /etc/vz
BINDIR  = /usr/bin
SBINDIR = /usr/sbin
LIBDIR  = /usr/share/$(NAME)
MANDIR  = /usr/share/man
MAN5DIR = $(MANDIR)/man5
MAN8DIR = $(MANDIR)/man8

BIN_FILES    = vzpkgcache vzpkgadd vzpkgrm vzpkgupd vzpkgquery vzpkgls vzosname
LIB_FILES    = functions cache-os \
	apt-cache-install apt-cache-update apt-checkupdate apt-functions \
	apt-add apt-query apt-rm apt-update \
	yum-cache-install yum-cache-update yum-checkupdate yum-functions \
	yum-add yum-query yum-rm yum-update
CONFIG_FILES = vzpkg.conf
MAN5_FILES   = man/vzpkg.conf.5
MAN8_FILES   = man/vzpkgcache.8
MYINIT_FILES = myinit.i386 myinit.x86_64 myinit.ia64

SRPMDIR:=$(shell rpm --eval '%{_srcrpmdir}')
RPMDIR:=$(shell rpm --eval '%{_rpmdir}')

DESTDIR:=$(shell pwd)/../dist

$(DESTDIR):
	test -d $@ || mkdir $@

$(DESTDIR)/debian: $(DESTDIR)
	test -d $@ || mkdir $@

$(DESTDIR)/$(NAME): $(DESTDIR)
	test -d $@ || mkdir $@

all:

clean:

install: install-config install-bin install-lib install-myinit install-man

install-config: $(CONFIG_FILES)
	mkdir -p $(DESTDIR)$(ETCDIR)
	for f in $(CONFIG_FILES); do \
		install -m 644 $$f $(DESTDIR)$(ETCDIR); \
	done

install-bin: $(BIN_FILES)
	mkdir -p $(DESTDIR)$(BINDIR)
	for f in $(BIN_FILES); do \
		install -m 755 $$f $(DESTDIR)$(BINDIR); \
	done

install-lib: $(LIB_FILES)
	mkdir -p $(DESTDIR)$(LIBDIR)
	for f in $(LIB_FILES); do \
		install -m 755 $$f $(DESTDIR)$(LIBDIR); \
	done

install-myinit: install-lib
	for f in $(MYINIT_FILES); do \
		install -m 755 $$f $(DESTDIR)$(LIBDIR); \
	done

install-man: install-man5 install-man8
	mkdir -p $(DESTDIR)$(MANDIR)

install-man5: $(MAN5_FILES)
	mkdir -p $(DESTDIR)$(MAN5DIR)
	for f in $(MAN5_FILES); do \
		install -m 644 $$f $(DESTDIR)$(MAN5DIR); \
	done

install-man8: $(MAN8_FILES)
	mkdir -p $(DESTDIR)$(MAN8DIR)
	for f in $(MAN8_FILES); do \
		install -m 644 $$f $(DESTDIR)$(MAN8DIR); \
	done

tar: $(DESTDIR)/$(NAME)
	sed -e "s/@@VERSION@@/$(VERSION)/" < vzpkg.spec.in > vzpkg.spec; \
	rm -f ../$(NAME)-$(VERSION); ln -sf `pwd` ../$(NAME)-$(VERSION) && \
	tar --directory ..  --exclude CVS --exclude .git --exclude \*.tar.bz2 -cvhjf $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION); \
	tar --directory ..  --exclude CVS --exclude .git --exclude \*.tar.bz2 -cvhzf $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION); \
	rm -f ../$(NAME)-$(VERSION)

rpms: tar
	rpmbuild -ta $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.bz2
	mv $(SRPMDIR)/$(NAME)-*$(VERSION)*.src.rpm $(DESTDIR)/$(NAME)
	mv $(RPMDIR)/noarch/$(NAME)-*$(VERSION)*.noarch.rpm $(DESTDIR)/$(NAME)

debs: $(DESTDIR)/debian
	fakeroot dpkg-buildpackage -I.git -us -uc
	mv ../$(NAME)*_$(VERSION)* $(DESTDIR)/debian

.PHONY: all install install-bin install-lib install-myinit install-man install-man8 tar debs

=== debian/changelog ===
vzpkg2 (1.0.0) unstable; urgency=low
  * Updated copyrights.

  * Add support for generating templates without pkg-cacher.

  * Changed defaults to work with pkg-cacher running as a cgi script or 
    stand-alone.

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 01 Dec 2008 21:16:14 -0800

vzpkg2 (0.9.5) unstable; urgency=low
  * Fix read_vz_conf return code so it doesn't cause "set -e" scripts to fail.

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 17 Sep 2008 21:04:02 -0700

vzpkg2 (0.9.4) unstable; urgency=low
  * Use vzpkg.conf for global settings rather than vz.conf.
  * Use correct scripts directory on 64 bit systems
  * Change processing of vzpkg.conf files to allow more specific ones to override
    values from less specific ones.
  * Automatically set VZPKG_CACHE_HOST during install.
  * Add manual page for vzpkg.conf.
  * Update vzpkgcache manual page.

 -- Robert Nelson <robertn@the-nelsons.org>  Tue, 16 Sep 2008 09:36:12 -0700

vzpkg2 (0.9.3) unstable; urgency=low
  * Fix intermittent problem with tar failing due to building archive in current directory.

 -- Robert Nelson <robertn@the-nelsons.org>  Sun, 14 Sep 2008 19:13:35 -0700

vzpkg2 (0.9.2) unstable; urgency=low

  * Fix bogus create of /vz/template on Debian.

  * Create /var/lib/rpm if necessary work around Debian install bug.

  * Do a filesystem sync before creating tarball to eliminate tar warnings.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat,  6 Sep 2008 17:40:39 -0700

vzpkg2 (0.9.1) unstable; urgency=low

  * Initial Release on Debian.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat,  6 Sep 2008 17:40:39 -0700

=== debian/control ===
Source: vzpkg2
Section: admin
Priority: optional
Maintainer: Robert Nelson <robertn@the-nelsons.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: vzpkg2
Architecture: all
Description: OpenVZ template management tools
 OpenVZ template management tools are used for software installation
 inside Virtual Environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

binary-arch:
	dh_testdir
	dh_testroot

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/vzpkg2 install
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary binary-arch binary-indep
